#ifndef IPV4SETTINGSTAB_H
#define IPV4SETTINGSTAB_H

#include <QWidget>

namespace Ui {
class Ipv4SettingsTab;
}

class Ipv4SettingsTab : public QWidget
{
    Q_OBJECT

public:
    explicit Ipv4SettingsTab(QWidget *parent = nullptr);
    ~Ipv4SettingsTab();

    QVariantMap readSettings();
    void loadSettings(QVariantMap settings);

private slots:
    void onMethodComboBoxCurrentIndexChanged(int index);
    void onEditDnsServersButtonClicked();
    void onEditSearchDomainsButtonClicked();
    void onManualIpv4ConfigurationAddButtonClicked();
    void onManualIpv4ConfigurationRemoveButtonClicked();

private:
    Ui::Ipv4SettingsTab *ui;
};

#endif // IPV4SETTINGSTAB_H
