#ifndef LISTEDITORDIALOG_H
#define LISTEDITORDIALOG_H

#include <QDialog>

namespace Ui {
class ListEditorDialog;
}

class ListEditorDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ListEditorDialog(QWidget *parent = nullptr, QString listStr = "", QChar separator = '\0');
    ~ListEditorDialog();
    QString list();

private slots:
    void onAddItemButtonClicked();
    void onRemoveItemButtonClicked();
    void onMoveUpItemButtonClicked();
    void onMoveDownItemButtonClicked();
    void onOkButtonClicked();
    void onCancelButtonClicked();

private:
    Ui::ListEditorDialog *ui;
    QString origListStr;
    bool listModified;
};

#endif // LISTEDITORDIALOG_H
