#ifndef NETWORKDELETER_H
#define NETWORKDELETER_H

#include <QDialog>

class QDBusPendingCallWatcher;

namespace Ui {
class NetworkDeleter;
}

class NetworkDeleter : public QDialog
{
    Q_OBJECT

public:
    explicit NetworkDeleter(QString networkName, QString networkUuidStr, QWidget *parent = nullptr);
    ~NetworkDeleter();

private slots:
    void onCancelClicked();
    void onDeleteClicked();
    void deleteReplyFinished(QDBusPendingCallWatcher *watcher);

private:
    Ui::NetworkDeleter *ui;
    QString targetNetworkName;
    QString targetNetworkUuidStr;
};

#endif // NETWORKDELETER_H
