#ifndef SECURITY802_1XTAB_H
#define SECURITY802_1XTAB_H

#include <QDialog>

namespace Ui {
class Security802_1xTab;
}

class Security802_1xTab : public QDialog
{
    Q_OBJECT

public:
    explicit Security802_1xTab(QWidget *parent = nullptr);
    ~Security802_1xTab();

    QVariantMap readSettings();
    void loadSettings(QVariantMap settings);

private slots:
    void onEnable802_1xCheckBoxToggled(int state);
    void onMd5ShowPasswordCheckBoxToggled(int state);
    void onTlsShowPasswordCheckBoxToggled(int state);
    void onPwdShowPasswordCheckBoxToggled(int state);
    void onFastShowPasswordCheckBoxToggled(int state);
    void onTtlsShowPasswordCheckBoxToggled(int state);
    void onPeapShowPasswordCheckBoxToggled(int state);
    void onFastAutoPacProvisionCheckBoxToggled(int state);
    void onTlsCaCertificateOpenFileButtonClicked();
    void onTlsUserCertificateOpenFileButtonClicked();
    void onTlsUserPrivateKeyOpenFileButtonClicked();
    void onFastPacFileOpenFileButtonClicked();
    void onTtlsCaCertificateOpenFileButtonClicked();
    void onPeapCaCertificateOpenFileButtonClicked();

private:
    Ui::Security802_1xTab *ui;
};

#endif // SECURITY802_1XTAB_H
